Skip to main content
PATCH
/
networks
/
affiliates
/
{affiliateId}
/
offers
/
visibility
Update Affiliate Offer Visibility
curl --request PATCH \
  --url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/offers/visibility \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_offer_ids": [
    1,
    2,
    3
  ],
  "visibility_type": "visible"
}
'
{
  "result": true
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The affiliate ID.

Body

application/json
network_offer_ids
integer[]
required

List of offer IDs to set visibility for.

visibility_type
enum<string>
required

The visibility type to apply for the affiliate.

Available options:
visible,
hidden

Response

200 - application/json

OK

result
boolean

Whether the update was successful.